diff -r 64989aaf12b1 -r c202b7ee7991 libgui/languages/de_DE.ts
--- a/libgui/languages/de_DE.ts	Sat Mar 31 18:52:50 2018 +0200
+++ b/libgui/languages/de_DE.ts	Sat Mar 31 13:27:59 2018 +0200
@@ -2203,19 +2206,19 @@
 &lt;/p&gt;
 &lt;p&gt;
 &lt;small&gt;&lt;em&gt;&amp;mdash; The Octave Developers, </source>
-        <translation type="unfinished">&lt;html&gt;
+        <translation>&lt;html&gt;
 &lt;body&gt;
 &lt;p&gt;
-Die Verbindung zum Internet um aktuelle Neuigkeiten von der Octave Community anzuzeigen wurde deaktiviert.
+Die Internetverbindung zur Anzeige aktueller Neuigkeiten der Octave-Community wurde deaktiviert.
 &lt;/p&gt;
 &lt;p&gt;
-Für aktuelle Neuigkeiten besuche
-&lt;a href=&quot;https://octave.org/community-news.html&quot;&gt;https://octave.org/community-news.html&lt;/a&gt;
-sobald Du über eine Verbindung zum Internet verfügst (Link öffnet sich im externen Browser)
-oder aktiviere die Internetverbindung in den Einstellungen unter Netzwerk.
+Für aktuelle Neuigkeiten (auf Englisch) besuchen Sie
+&lt;a href=&quot;https://octave.org/community-news.html&quot;&gt;https://octave.org/community-news.html&lt;/a&gt;,
+sobald Sie über eine Verbindung zum Internet verfügen (Link öffnet sich im externen Browser)
+oder aktivieren Sie die Internetverbindung in den Einstellungen unter Netzwerk.
 &lt;/p&gt;
 &lt;p&gt;
-&lt;small&gt;&lt;em&gt;&amp;mdash; Die Entwickler von Octave,</translation>
+&lt;small&gt;&lt;em&gt;&amp;mdash; Die Entwickler von Octave, </translation>
     </message>
 </context>
 <context>
@@ -2223,22 +2226,22 @@
     <message>
         <location filename="../src/octave-dock-widget.cc" line="+69"/>
         <source>Hide widget</source>
-        <translation type="unfinished">Fenster verbergen</translation>
+        <translation>Bedienelement verbergen</translation>
     </message>
     <message>
         <location line="+43"/>
         <source>Use &lt;Alt&gt; + &lt;Left Mouse Button&gt; for moving the window</source>
-        <translation type="unfinished"></translation>
+        <translation>&lt;Alt&gt; + &lt;Linke Maustaste&gt; verwenden, um das Fenster zu verschieben</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Dock widget</source>
-        <translation type="unfinished">Fenster andocken</translation>
+        <translation>Bedienelement andocken</translation>
     </message>
     <message>
         <location line="+42"/>
         <source>Undock widget</source>
-        <translation type="unfinished">Fenster lösen</translation>
+        <translation>Bedienelement lösen</translation>
     </message>
 </context>
 <context>
@@ -2246,27 +2249,27 @@
     <message>
         <location filename="../src/m-editor/octave-qscintilla.cc" line="+277"/>
         <source>Help on</source>
-        <translation type="unfinished">Hilfe zu</translation>
+        <translation>Hilfe zu</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Documentation on</source>
-        <translation type="unfinished">Dokumentation zu</translation>
+        <translation>Dokumentation zu</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Edit</source>
-        <translation type="unfinished"></translation>
+        <translation>Bearbeiten</translation>
     </message>
     <message>
         <location line="+15"/>
         <source>dbstop if ...</source>
-        <translation type="unfinished">dbstop wenn ...</translation>
+        <translation>dbstop wenn ...</translation>
     </message>
     <message>
         <location line="+461"/>
         <source>Press &apos;%1&apos; to replace all occurrences of &apos;%2&apos; with &apos;%3&apos;.</source>
-        <translation type="unfinished"></translation>
+        <translation>&apos;%1&apos; drücken, um alle Vorkommnisse von &apos;%2&apos; mit &apos;%3&apos; zu ersetzen.</translation>
     </message>
 </context>
 <context>
@@ -2276,52 +2279,52 @@
         <location line="+9"/>
         <location line="+11"/>
         <source>Create</source>
-        <translation type="unfinished">Erzeugen</translation>
+        <translation>Erstellen</translation>
     </message>
     <message>
         <location line="-20"/>
         <location line="+268"/>
         <source>Cancel</source>
-        <translation type="unfinished">Abbrechen</translation>
+        <translation>Abbrechen</translation>
     </message>
     <message>
         <location line="-262"/>
         <source>File
 %1
 does not exist. Do you want to create it?</source>
-        <translation type="unfinished">Die Datei
+        <translation>Die Datei
 %1
-existiert nicht. Soll sie erzeugt werden?</translation>
+existiert nicht. Soll sie erstellt werden?</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Octave Editor</source>
-        <translation type="unfinished">Octave Editor</translation>
+        <translation>Octave Editor</translation>
     </message>
     <message>
         <location line="+252"/>
         <source>The file %1 does not exist in the load path.  To run or debug the function you are editing, you must either change to the directory %2 or add that directory to the load path.</source>
-        <translation type="unfinished">Die Datei %1 befindet sich nicht im Suchpfad. Um die momentan geöffnete Datei auszuführen oder zu debuggen, in das Verzeichnis %2 wechseln oder dieses Verzeichnis dem Suchpfad hinzufügen.</translation>
+        <translation>Die Datei %1 befindet sich nicht im Suchpfad. Um die momentan geöffnete Datei auszuführen oder zu debuggen, in das Verzeichnis %2 wechseln oder dieses Verzeichnis dem Suchpfad hinzufügen.</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>The file %1 is shadowed by a file with the same name in the load path. To run or debug the function you are editing, change to the directory %2.</source>
-        <translation type="unfinished">Die Datei %1 wird von einer Datei gleichen Namens im Suchpfad verdeckt. Um die momentan geöffnete Funktion auszuführen oder zu debuggen, in das Verzeichnis %2 wechseln.</translation>
+        <translation>Die Datei %1 wird von einer Datei gleichen Namens im Suchpfad verdeckt. Um die momentan geöffnete Funktion auszuführen oder zu debuggen, in das Verzeichnis %2 wechseln.</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Change Directory or Add Directory to Load Path</source>
-        <translation type="unfinished">Verzeichnis wechseln oder zum Suchpfad hinzufügen</translation>
+        <translation>Verzeichnis wechseln oder zum Suchpfad hinzufügen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;Change Directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Verzeichnis &amp;wechseln</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Add Directory to Load Path</source>
-        <translation type="unfinished"></translation>
+        <translation>Verzeichnis zum &amp;Suchpfad hinzufügen</translation>
     </message>
 </context>
 <context>
@@ -2329,7 +2332,7 @@
     <message>
         <location filename="../src/m-editor/octave-txt-lexer.cc" line="+40"/>
         <source>Default</source>
-        <translation type="unfinished">Standard</translation>
+        <translation>Standard</translation>
     </message>
 </context>
 <context>
@@ -2343,18 +2346,19 @@
 %2
 
 Octave GUI must be closed now.</source>
-        <translation type="unfinished">Die Konfigurationsdatei
+        <translation>Die Konfigurationsdatei
 %1
 existiert nicht und kann nicht angelegt werden.
-Stelle sicher, dass Du Lese- und Schreibrechte für
+Stellen sicher, dass Sie Lese- und Schreibrechte für
 %2
-besitzt.
+besitzen.
+
 Die Octave-Benutzeroberfläche muss jetzt geschlossen werden.</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Octave Critical Error</source>
-        <translation type="unfinished">Kritischer Octave Fehler</translation>
+        <translation>Octave Kritischer Fehler</translation>
     </message>
 </context>
 <context>
@@ -2362,22 +2366,22 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="+42"/>
         <source>Community News</source>
-        <translation type="unfinished">Neuigkeiten der Community</translation>
+        <translation>Neuigkeiten aus der Community</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Previous</source>
-        <translation type="unfinished">Zurück</translation>
+        <translation>Zurück</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Next</source>
-        <translation type="unfinished">Weiter</translation>
+        <translation>Weiter</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished">Abbrechen</translation>
+        <translation>Abbrechen</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -2387,7 +2391,12 @@
 &lt;p&gt;You may also view the news by selecting the &quot;Community News&quot; item in the &quot;Help&quot; menu, or by visiting
 &lt;a href=&quot;https://octave.org/community-news.html&quot;&gt;https://octave.org/community-news.html&lt;/a&gt;.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished"></translation>
+        <translation>&lt;html&gt;&lt;body&gt;
+&lt;p&gt;Beim Start kann Octave optional die Octave-Webseite nach aktuellen Neuigkeiten und Informationen über die Octave-Community überprüfen.
+Die Überprüfung erfolgt höchstens einmal am Tag, und nur Neuigkeiten werden angezeigt, die noch nicht gezeigt wurden.&lt;/p&gt;
+&lt;p&gt;Die Neuigkeiten können auch über den Punkt &quot;Neuigkeiten der Community&quot; im &quot;Hilfe&quot;-Menü angezeigt oder auf dieser Webseite betrachtet werden:
+&lt;a href=&quot;https://octave.org/community-news.html&quot;&gt;https://octave.org/community-news.html&lt;/a&gt;.&lt;/p&gt;
+&lt;/body&gt;&lt;/html&gt;</translation>
     </message>
     <message>
         <location line="+28"/>
@@ -2398,12 +2407,12 @@
 &lt;head/&gt;&lt;body&gt;
 &lt;p&gt;Allow Octave to connect to the Octave web site when it starts to display current news and information about the Octave community.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;head&gt;
+        <translation>&lt;html&gt;&lt;head&gt;
 &lt;style&gt;
 a:link { text-decoration: underline; color: #0000ff; }
 &lt;/style&gt;
 &lt;head/&gt;&lt;body&gt;
-&lt;p&gt;Erlaube Octave beim Programmstart eine Verbindung zur Octave Webseite herzustellen, um aktuelle Neuigkeiten und Informationen über Octave anzuzeigen.&lt;/p&gt;
+&lt;p&gt;Erlaube Octave beim Programmstart eine Verbindung zur Octave-Webseite herzustellen, um aktuelle Neuigkeiten und Informationen über die Octave-Community anzuzeigen.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</translation>
     </message>
 </context>
@@ -2412,7 +2421,7 @@
     <message>
         <location filename="../src/shortcut-manager.cc" line="+131"/>
         <source>Double Shortcut</source>
-        <translation type="unfinished">Doppeltes Tastenkürzel</translation>
+        <translation>Doppeltes Tastenkürzel</translation>
     </message>
     <message>
         <location line="+1"/>
